import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class SwingZwei extends JFrame {
	
	public SwingZwei() {						// *** Konstruktor
		super("SwingZwei");					// Titel
	
		JLabel myHeader = new JLabel("Hier Text eingeben:");	//Labelkomponente
		JTextField eingabeFeld = new JTextField("hier", 20);	//Textfeld-Komponente

		eingabeFeld.setDocument(new DateFieldDocument(eingabeFeld));

		JButton klicker = new JButton("Beenden");		//Button-Komponente

		ActionListener myListener = new ActionListener() {	// Fuer den Button
			public void actionPerformed(ActionEvent e) {	// in anonymer Klasse
				dispose();				// (siehe auch WinV)
				System.exit(0);
			}
		};

		klicker.addActionListener(myListener);			// Listener registrieren

		JPanel myContainer = new JPanel();			// spezieller Container
		myContainer.setLayout(new BorderLayout(5,5));		// Layout einsetzen

		myContainer.add(myHeader, BorderLayout.NORTH);		// Die Komponenten dem
		myContainer.add(eingabeFeld, BorderLayout.CENTER);	// Container hinzufgen
		myContainer.add(klicker, BorderLayout.SOUTH);

		getContentPane().add(myContainer);			// Container dem Frame
									// hinzufgen
		this.enableEvents(AWTEvent.WINDOW_EVENT_MASK);		// Ereignisse ermglichen
	}								// *** Ende Konstruktor

	protected void processWindowEvent(WindowEvent e) {		// Fensterereignisse
        	if (e.getID()==WindowEvent.WINDOW_CLOSING) {		// behandeln
			dispose();                      // Ressourcen des Fensters freigeben
			System.exit(0);                 // Programm beenden
		}
	} // Ende Methode processWindowEvent()

	public static void main(String[] arg) {		//Hauptmethode
      		SwingZwei mySwingapp = new SwingZwei();
      		mySwingapp.pack();
      		mySwingapp.show();
	}
}